Skip to main content
PATCH
TypeScript SDK

Authorizations

Authorization
string
header
required

Enter ApiKey <your-api-key> in Authorization, including the ApiKey prefix. In cURL and Python samples, <api-key> means this full value. The TypeScript SDK adds the prefix for you.

Path Parameters

pipelineId
string
required

Pipeline ID with prefix pl..

Pattern: ^pl\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
nodeId
string
required

Identifier of the node in the pipeline graph.

Body

application/json
settings
object
required

Setting names and replacement values to apply to this node; include at least one setting.

expectedVersion
string

The snapshot version expected to still be active. A stale version is rejected with HTTP 409.

Pattern: ^ple\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Response

Pipeline node settings patched

A pipeline within a project.

createdAt
string<date-time>
required

Time the pipeline was created, as an ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
id
string
required

Pipeline ID with prefix pl..

Pattern: ^pl\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
name
string
required

Name of the pipeline.

projectId
string
required

Project ID with prefix pp..

Pattern: ^pp\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
updatedAt
string<date-time>
required

Time the pipeline was last updated, as an ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
version
number
required

Pipeline version number; copying a pipeline increments the source version.